Skip to main content
Comments are messages generated by users on files, allowing users to collaborate on a file, discussing any feedback they might have on the content.

Comment

Standard representation of a comment.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for this comment.
typeenum<string>NoThe value will always be comment. Available options: comment.
is_reply_commentbooleanNoWhether or not this comment is a reply to another comment.
messagestringNoThe text of the comment, as provided by the user.
created_byUser (Mini)NoA mini user object representing the author of the comment.
created_atstringNoThe time this comment was created.
modified_atstringNoThe time this comment was last modified.
itemobjectNoThe bare basic reference for an object.
Example
{
  "id": "11446498",
  "type": "comment",
  "is_reply_comment": true,
  "message": "@Aaron Levie these tigers are cool!",
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "item": {
    "id": "11446498",
    "type": "file"
  }
}

Comment (Base)

Base representation of a comment.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for this comment.
typeenum<string>NoThe value will always be comment. Available options: comment.
Example
{
  "id": "11446498",
  "type": "comment"
}

Comment (Full)

Comments are messages created on files. Comments can be made independently or created as responses to other comments.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for this comment.
typeenum<string>NoThe value will always be comment. Available options: comment.
is_reply_commentbooleanNoWhether or not this comment is a reply to another comment.
messagestringNoThe text of the comment, as provided by the user.
created_byUser (Mini)NoA mini user object representing the author of the comment.
created_atstringNoThe time this comment was created.
modified_atstringNoThe time this comment was last modified.
itemobjectNoThe bare basic reference for an object.
tagged_messagestringNoThe string representing the comment text with @mentions included. @mention format is @[id:username] where id is user’s Box ID and username is their display name.
Example
{
  "id": "11446498",
  "type": "comment",
  "is_reply_comment": true,
  "message": "@Aaron Levie these tigers are cool!",
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "item": {
    "id": "11446498",
    "type": "file"
  },
  "tagged_message": "@[1234567:Aaron Levie] these tigers are cool!"
}

Comments

A list of comments.
PropertyTypeRequiredDescription
total_countintegerNoOne greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than total_count. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
offsetintegerNoThe 0-based offset of the first entry in this set. This will be the same as the offset query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
orderarray of objectNoThe order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
entriesarray of Comment (Full)NoA list of comments.
Example
{
  "total_count": 5000,
  "limit": 1000,
  "offset": 2000,
  "order": [
    {
      "by": "type",
      "direction": "ASC"
    }
  ],
  "entries": [
    {
      "id": "11446498",
      "type": "comment",
      "is_reply_comment": true,
      "message": "@Aaron Levie these tigers are cool!",
      "created_by": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "created_at": "2012-12-12T10:53:43-08:00",
      "modified_at": "2012-12-12T10:53:43-08:00",
      "item": {
        "id": "11446498",
        "type": "file"
      },
      "tagged_message": "@[1234567:Aaron Levie] these tigers are cool!"
    }
  ]
}
Last modified on July 9, 2026